Subject: bug#79105: Bug report parted back trace and exit

From: "Brian C. Lane" <[email-masked]>
Date: Mon, 28 Jul 2025 08:54:08 -0700

On Sat, Jul 26, 2025 at 09:19:32PM +0000, Vartan via Bug reports for the GNU Parted disk partition editor wrote:

> I could not produce the output of "parted DEVICE unit co print unit s print" because I had removed the flash drive thus device /dev/sdf was no longer present. Nevertheless, parted should not have produced a back trace and failed.
> 
> (parted) print devices
> /dev/sde (8087MB)
> /dev/sda (2000GB)
> /dev/sdb (2000GB)
> /dev/sdc (4027MB)
> /dev/sdd (4027MB)
> /dev/sdf (2046MB)
> /dev/nvme0n1 (1000GB)
> /dev/zram0 (8590MB)
> /dev/sr1 (8389kB)
> Error: Could not stat device /dev/sde - No such file or directory.
> Retry/Cancel? c
> (parted)
> (parted)
> (parted) select /dev/sdf
> Backtrace has 8 calls on stack:
> 8: /lib64/libparted.so.2(ped_assert+0x49) [0x7f6c2f3afda9]
> 7: /lib64/libparted.so.2(+0x5104) [0x7f6c2f3b0104]
> 6: parted(+0x64e1) [0x5560450dd4e1]
> 5: parted(interactive_mode+0x16b) [0x5560450e16ab]
> 4: parted(main+0x13d8) [0x5560450d9e58]
> 3: /lib64/libc.so.6(+0x35f5) [0x7f6c2f12d5f5]
> 2: /lib64/libc.so.6(__libc_start_main+0x88) [0x7f6c2f12d6a8]
> 1: parted(_start+0x25) [0x5560450d9ee5]
> 

[snip]

> 
> Assertion (dev != NULL) at device.c:252 in function ped_device_close() failed.

Did /dev/sde go away in the middle of this? There really isn't enough
info to go on here, but it looks like sde may have vanished and then it
tried to close a dev that was NULL (I'm guessing that was associated
with sde but without a reproducer it's hard to know for sure).

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart